⚠️ Deprecation Notice: The following APIs will soon be deprecated. Please transition to the User APIs.
Creates a new user in the enterprise.
⚠️ Deprecation Notice: This endpoint is deprecated. To add a user, invite them with POST /authn2/v0/tenant/{enterprise_id}/invite.
Security
esper_cloud_api_apiKey
- Mock serverhttps://api.esper.io/_mock/openapi/user/
- https://develop-api.esper.cloud/apihttps://develop-api.esper.cloud/api/user/
curl -i -X POST \
https://api.esper.io/_mock/openapi/user/ \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"username": "string",
"password": "string",
"first_name": "string",
"last_name": "string",
"is_active": true,
"email": "user@example.com",
"profile": {
"role": "Shoonya Admin",
"groups": [
"string"
],
"enterprise": "796caaf9-a7de-4817-9ffa-39d04bf83de9",
"is_customer": true,
"is_endpoint_creator": true,
"setup_wizard_complete": true,
"default_password_changed": true,
"is_developer": true,
"can_factory_reset": true
}
}'User Created
Response
{ "id": 0, "username": "string", "email": "user@example.com", "first_name": "string", "last_name": "string", "full_name": "string", "is_staff": true, "is_superuser": true, "is_active": true, "profile": { "id": 0, "enterprise_user_id": "string", "authn_user_id": "77ba949a-db0b-4544-a77c-b27f70fe06cd", "authn_connection_id": "500f8424-a17b-4138-9b34-dcf4c445232c", "authz_role_id": "c85d5e04-56ba-49f9-8ef1-94165471fa4c", "role": "Shoonya Admin", "enterprise": "796caaf9-a7de-4817-9ffa-39d04bf83de9", "is_customer": true, "is_endpoint_creator": true, "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z", "setup_wizard_complete": true, "default_password_changed": true, "is_developer": true, "can_factory_reset": true, "groups": [ … ] }, "emm": { "id": 0, "user": 0, "account_identifier": "string", "account_type": "string", "display_name": "string", "google_user_id": "string", "google_enterprise": 0, "is_active": true, "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z", "authentication_token": { … } }, "last_login": "string", "token": "string", "has_emm": true, "is_email_verified": true }